@media (max-width: 992px) {
  .nav-container {
    width: 100%;
    max-width: 100%;
    padding: 2em 1em;
  }
  .hamburger {
    display: flex;
  }
  .nav-links {
    position: absolute;
    top: 7em;
    left: 0;
    right: 0;
    background-color: var(--whiteShade1);
    flex-direction: column;
    gap: 1em;
    padding: 1em 2em;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15);
    align-items: center;
    display: none;
    text-align: center;
  }
  .nav-links.active {
    display: flex;
  }
  .nav-links a {
    transition: color 0.4s ease;
    color: var(--baseShade1);
  }
  .nav-links a::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 2px;
    background-color: var(--whiteShade1);
    transition: width 0.4s ease;
  }
  .nav-links a:hover {
    color: var(--accentShade);
  }
  .nav-links a:hover::after {
    width: 100%;
  }
  .contact-container p {
    display: none;
  }
  .upper-bar {
    display: flex;
  }
  .contact-container {
    flex: 2;
  }
  .social-container {
    flex: 1;
  }
  .hero-left-text {
    padding: 2em 1em;
  }
  .hero-left-text h1 {
    font-size: 36px;
  }
  .cta-1 {
    display: block;
    margin-bottom: 2em;
  }
  .about-us-container {
    display: flex;
    align-items: center;
  }
  .about-left-image {
    flex: 1;
  }
  .about-right-text {
    flex: 2;
  }
  .about-left-image img {
    width: 100%;
  }
  .why-choose-us h2 {
    font-size: 30px;
  }
  .projects h2 {
    font-size: 30px;
  }
  .project-container {
    gap: 1.5em;
  }
  .project-container p {
    font-size: 15px;
  }
  .testimonials .testimonials-left {
    flex: 1;
  }
  .testimonials .testimonials-right {
    flex: 2;
  }
  .cta h2,
  .faq h2 {
    font-size: 30px;
  }
  .about-us-hero-right h2 {
    font-size: 30px;
  }
  .about-us-hero-right h3 {
    font-size: 24px;
  }
  .about-us-story h2 {
    font-size: 30px;
  }
  .how-we-work {
    padding: 2rem;
  }
  .services h2 {
    font-size: 30px;
  }
  .steps {
    gap: 20px;
  }
  .slider-container {
    transform: scale(0.8) translateX(-60%);
  }
  .service-detail {
    margin: 3em;
    padding: 3em;
  }
  .details-btn {
    padding: 0.5em 2em;
  }
  .case-hero-content h1 {
    font-size: 36px;
  }
  .case-hero-content p {
    font-size: 15px;
  }
  .case-process-prosumer__grid {
    grid-template-columns: repeat(2, 1fr);
  }
  .case-process-rc__grid {
    grid-template-columns: repeat(2, 1fr);
  }
  .case-process-tr__grid {
    grid-template-columns: repeat(2, 1fr);
  }
  .case-cta h2 {
    font-size: 30px;
  }
  .blogs-list {
    grid-template-columns: repeat(2, 1fr);
  }
  .filters button {
    background-color: var(--accentShade);
    padding: 1em 2em;
    border: none;
    border-radius: 2em;
    margin-right: 1em;
  }
  .seo-hero {
    margin-top: 90px;
  }
  .seo-hero h1,
  .cm-hero h1,
  .smm-hero h1,
  .em-hero h1,
  .web-hero h1,
  .gd-hero h1 {
    font-size: 36px;
  }
  .seo-benefits,
  .cm-benefits,
  .em-benefits,
  .web-benefits,
  .gd-benefits {
    flex-direction: column;
    text-align: center;
    display: flex;
  }
  .seo-benefits h3,
  .cm-img-left h3,
  .em-img-left h3,
  .web-img-left h3,
  .gd-img-left h3 {
    font-size: 24px;
    margin-bottom: 1em;
  }
  .seo-img-left,
  .cm-img-left,
  .em-img-left,
  .web-img-left,
  .gd-img-left {
    width: 100%;
  }
  .seo-img-left img,
  .cm-img-left img,
  .em-img-left,
  .web-img-left img,
  .gd-img-left img {
    width: 60%;
    margin: 0 auto;
  }
  .process-steps,
  .em-process-steps {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 768px) {
  .hero {
    flex-direction: column;
  }
  .hero-left-text {
    width: 100%;
    text-align: center;
  }
  .hero-left-text h1 {
    font-size: 32px;
  }
  .hero-left-text p {
    font-size: 15px;
  }
  .hero-right-img {
    width: 100%;
  }
  .about-us h2 {
    font-size: 28px;
  }
  .about-left-image {
    width: 80%;
  }
  .about-right-text {
    width: 100%;
  }
  .about-us-container {
    flex-direction: column;
  }
  .services-container {
    gap: 10px;
    grid-template-columns: repeat(2, 1fr);
  }
  .why-choose-us h2 {
    font-size: 28px;
  }
  .why-choose-us-container {
    gap: 20px;
    grid-template-columns: repeat(2, 1fr);
  }
  .front h4 {
    font-size: 18px;
  }
  .project-container {
    flex-direction: column;
    padding: 3em;
  }
  .project-card {
    width: 100%;
  }
  .projects h2 {
    font-size: 28px;
  }
  .project-card a {
    font-size: 16px;
  }
  .project-card h3 {
    font-size: 22px;
    text-align: center;
  }
  .project-card p {
    text-align: center;
  }
  .project-card .category {
    display: block;
    text-align: center;
  }
  .project-card a {
    display: block;
    margin: 0 auto;
    text-align: center;
  }
  .testimonials {
    flex-direction: column;
  }
  .testimonials h2 {
    font-size: 28px;
  }
  .testimonials-left {
    width: 100%;
  }
  .testimonials-right {
    width: 100%;
  }
  .cta {
    flex-direction: column;
  }
  .cta h2 {
    font-size: 28px;
  }
  .cta a {
    width: 300px;
    font-size: 15px;
    text-align: center;
  }
  .faq h2 {
    font-size: 28px;
  }
  .faq-intro {
    font-size: 15px;
  }
  .faq-question,
  .faq-answer {
    font-size: 15px;
  }
  .footer-container {
    flex-direction: column;
  }
  .logo-container {
    margin: 0 auto 2em auto;
  }
  .footer-about p {
    text-align: center;
  }
  .footer-links {
    text-align: center;
  }
  .footer-services {
    text-align: center;
  }
  .footer-social {
    text-align: center;
  }
  .about-us-hero {
    margin-top: 1em;
    padding: 1em;
    flex-direction: column;
  }
  .about-us-hero-left {
    width: 100%;
  }
  .about-us-hero-right {
    width: 100%;
    padding: 2em;
    text-align: center;
  }
  .about-us-hero-right h2 {
    font-size: 28px;
  }
  .about-us-hero-right h3 {
    font-size: 22px;
  }
  .about-us-hero-right p {
    font-size: 15px;
  }
  .about-us-story.active p {
    font-size: 15px;
  }
  .mission-text,
  .vision-text {
    font-size: 15px;
  }
  .steps {
    flex-direction: column;
  }
  .slider-container {
    transform: scale(0.4) translateX(-125%);
  }
  #seo .service-content,
  #smm .service-content,
  #website-development .service-content {
    flex-direction: column;
  }
  #content-marketing .service-content,
  #email-marketing .service-content,
  #graphic-design .service-content {
    flex-direction: column-reverse;
  }
  .service-detail p {
    text-align: center;
  }
  .details-btn {
    color: var(--whiteShade1);
  }
  .case-hero-content h1 {
    font-size: 32px;
  }
  .case-hero-content p {
    font-size: 15px;
  }
  .case-process-prosumer__grid {
    grid-template-columns: 1fr;
  }
  .case-process-rc__grid {
    grid-template-columns: 1fr;
  }
  .case-process-tr__grid {
    grid-template-columns: 1fr;
  }
  .blogs-list {
    grid-template-columns: 1fr;
  }
  form {
    padding: 0 2em;
  }
  .form-group {
    gap: 20px;
  }
  .social-media-btns {
    flex-direction: column;
    gap: 1.5em;
  }
  .contact-btns {
    flex-direction: column;
    gap: 1.5em;
  }
}
@media (max-width: 480px) {
  .social-container {
    flex: 1.8;
  }
  .contact-container {
    flex: 1.2;
  }
  .about-stats {
    flex-direction: column;
  }
  .about-stats div {
    display: flex;
    flex-direction: column;
    text-align: center;
    margin: 0 auto;
  }
  .services-container {
    grid-template-columns: 1fr;
    gap: 2em;
  }
  .why-choose-us-container {
    grid-template-columns: 1fr;
  }
  .why-choose-us-card {
    margin: 0 auto;
  }
  .form-group {
    flex-direction: column;
    gap: 0;
  }
  .services-container {
    grid-template-columns: 1fr;
  }
  .project-container {
    padding: 0;
  }
  .testimonial-card {
    margin-left: 1em;
  }
  .testimonial-card img {
    width: 150px;
    height: 150px;
  }
  .cta h2 {
    font-size: 24px;
    text-align: center;
  }
  .cta a {
    width: 90%;
    font-size: 14px;
    margin-bottom: 2em;
  }
  .faq h2 {
    font-size: 24px;
  }
  .about-us-hero-right h2 {
    font-size: 24px;
  }
  .about-us-hero-right h3 {
    font-size: 20px;
  }
  .about-us-story {
    padding: 1em;
    margin-top: 6em;
  }

  .about-us-story-container {
    padding: 4em 2em 1em 2em;
  }
  .mission .mission-icon img,
  .vision .vision-icon img {
    width: 7em;
  }
  .mission-icon,
  .vision-icon {
    padding: 1em;
  }
  .service-content img {
    width: 300px;
  }
  .case-intro {
    padding: 0 2em;
    text-align: justify;
  }
  .case-objectives {
    padding: 0 2em;
  }
  .case-hero-content h1 {
    font-size: 28px;
  }
  .case-results {
    padding: 0 2em;
  }
  .case-intro h2 {
    font-size: 24px;
  }
  .case-process-prosumer__head h2,
  .case-process-tr__head h2,
  .case-process-rc__head h2 {
    font-size: 24px;
  }
  .choose-grid {
    grid-template-columns: 1fr;
    padding: 0;
  }
  .process-steps {
    grid-template-columns: 1fr;
  }
  .choose-card h3 {
    font-size: 20px;
  }
  .seo-process h2 {
    font-size: 24px;
  }
  .em-img-left img {
    width: 100%;
    margin: 0 auto;
  }
  .em-benefits {
    padding: 2em;
  }
  .em-benefits img {
    width: 350px;
  }
  .em-img-left img {
    margin: 0 auto;
  }
  .em-img-left img {
    margin: 0 auto;
  }
  .em-process-steps {
    grid-template-columns: 1fr;
  }
  .web-hero h1 {
    font-size: 28px;
  }
  .web.img-left h3 {
    font-size: 20px;
  }
  .choose-grid {
    grid-template-columns: 1fr;
  }
  .social-media-links {
    width: 320px;
  }

  .link {
    width: 300px;
    font-size: 14px;
  }
  .testimonial-card {
    display: flex;
    flex-direction: column;
    text-align: center;
  }
  .testimonial-card img {
    margin: 0 auto;
  }
  .footer-container {
    padding: 3em 1em;
  }
  .main-heading {
    padding: 2em 1em;
    text-align: center;
    font-size: 30px;
  }
  .mission-vision {
    padding: 1em;
    margin-top: 5em;
  }
  .mission-icon,
  .vision-icon,
  .mission-text,
  .vision-text {
    padding: 1em;
    height: 120%;
  }
  .mission .mission-text {
    width: 70vw;
  }
  .vision .vision-icon,
  .vision-text {
    margin-top: 25%;
  }
  .mission-text,
  .vision-text {
    text-align: center;
  }
  .how-we-work {
    margin-top: 5em;
  }
  .circle-container {
    position: relative;
    width: 300px;
    height: 300px;
    margin-top: 2em;
  }
  .core-circle {
    position: absolute;
    left: 148.5px;
    top: -90px;
    font-size: 16px;
    margin-bottom: 5em;
    margin-top: 15em;
  }
  .service-detail h2 {
    text-align: center;
  }
  .em-img-left {
    width: 100%;
  }
  .blog-post {
    padding: 1em;
  }
  .services-grid {
    grid-template-columns: 1fr;
  }
  .social-container {
    padding: 0 1em;
  }
  .upper-bar i {
    margin-right: 0;
  }
}
